Bug 220660 - databases/sqlite3: changes dependencies for static library
Summary: databases/sqlite3: changes dependencies for static library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-11 17:59 UTC by Pavel Volkov
Modified: 2018-10-10 15:42 UTC (History)
4 users (show)

See Also:


Attachments
patch (744 bytes, patch)
2017-07-11 17:59 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
poudriere log (31.41 KB, text/plain)
2017-07-11 18:00 UTC, Pavel Volkov
no flags Details
patch for devel/subversion (723 bytes, patch)
2018-09-18 17:35 UTC, Pavel Volkov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2017-07-11 17:59:11 UTC
Created attachment 184277 [details]
patch

For build application with static library SQLite, with FTS5 extension, required dependencies to libm.a library. For used log() function.
Comment 1 Pavel Volkov 2017-07-11 18:00:39 UTC
Created attachment 184278 [details]
poudriere log
Comment 2 commit-hook freebsd_committer 2017-08-11 14:13:38 UTC
A commit references this bug:

Author: lev
Date: Fri Aug 11 14:12:44 UTC 2017
New revision: 447763
URL: https://svnweb.freebsd.org/changeset/ports/447763

Log:
   Add '-lm' for FTS5 for log() function.

  PR:		220660
  Submitted by:	pavelivolkov@gmail.com (maintainer)

Changes:
  head/databases/sqlite3/Makefile
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-03-04 19:52:00 UTC
Forgotten to close?
Comment 4 Nathan 2018-09-18 14:33:36 UTC
(In reply to w.schwarzenfeld from comment #3)
Looks like it, by looking at the updated Makefile
Comment 5 Lev A. Serebryakov freebsd_committer 2018-09-18 14:53:16 UTC
It is still a problem for subversion, which prevents static build

cd tools/diff && /bin/sh "/usr/local/build/ports/usr/ports/devel/subversion/work/subversion-1.10.2/libtool" --tag=CC --silent --mode=link cc -all-static -Werror=unknown-warning-option -O2 -pipe  -fpic -DPIC -fstack-protector -fno-strict-aliasing   -O2 -pipe  -fpic -DPIC -fstack-protector -fno-strict-aliasing  -fstack-protector  -L/usr/local/lib -L/usr/local/lib      -L/usr/local/lib    -L/usr/local/lib  -rpath /usr/local/lib  -o diff  diff.lo ../../subversion/libsvn_diff/libsvn_diff-1.la ../../subversion/libsvn_subr/libsvn_subr-1.la -L/usr/local/lib -laprutil-1 -lexpat -L/usr/local/lib -lapr-1 -lcrypt -lpthread
--- tools/dev/fsfs-access-map ---
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `fts5Bm25Function':
(.text+0x12dc18): undefined reference to `log'
--- subversion/tests/afl/afl-x509 ---
/usr/local/lib/libsqlite3.a(sqlite3.o): In function `fts5Bm25Function':
(.text+0x12dc18): undefined reference to `log'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** [subversion/tests/afl/afl-x509] Error code 1

make[2]: stopped in /usr/local/build/ports/usr/ports/devel/subversion/work/subversion-1.10.2
Comment 6 Pavel Volkov 2018-09-18 17:35:35 UTC
Created attachment 197210 [details]
patch for devel/subversion

To fix the subversion compilation, you need to apply the patch to the devel/subversion port. Look at the attached file.
Comment 7 commit-hook freebsd_committer 2018-10-10 15:40:36 UTC
A commit references this bug:

Author: lev
Date: Wed Oct 10 15:39:54 UTC 2018
New revision: 481744
URL: https://svnweb.freebsd.org/changeset/ports/481744

Log:
   (1) Update to 1.10.3.
   (2) Fix STATIC build.
   (3) Expand FreeBSD template for better explanation of "Sponsored by"

  PR:		(2) 220660, (3) 228362

Changes:
  head/devel/p5-subversion/Makefile
  head/devel/py-subversion/Makefile
  head/devel/ruby-subversion/Makefile
  head/devel/subversion/Makefile
  head/devel/subversion/Makefile.common
  head/devel/subversion/distinfo
  head/devel/subversion/files/extra-patch-fbsd-template
  head/devel/subversion/files/patch-subversion-libsvn_client-conflicts.c
  head/java/java-subversion/Makefile
  head/security/subversion-gnome-keyring/Makefile
  head/security/subversion-kwallet/Makefile
  head/www/mod_dav_svn/Makefile
Comment 8 Lev A. Serebryakov freebsd_committer 2018-10-10 15:42:59 UTC
Committed, thxn!